project:
  name: project
  collection: serverless.projects
  attributes:
  - &project
    parameter_name: projectsId
    attribute_name: project
    help: |
      The project name
    property: core/project

region:
  name: region
  collection: run.projects.locations
  attributes:
  - *project
  - &region
    parameter_name: locationsId
    attribute_name: region
    help: The Cloud Run region.
    property: run/region
    fallthroughs:
    - hook: googlecloudsdk.command_lib.run.flags:PromptForRegion
      hint: specify from a list of available regions in a prompt

service:
  name: service
  collection: run.projects.locations.services
  attributes:
  - *project
  - *region
  - &service
    parameter_name: servicesId
    attribute_name: service
    help: The name of the Cloud Run service.

job:
  name: job
  collection: run.projects.locations.jobs
  attributes:
  - *project
  - *region
  - &job
    parameter_name: jobsId
    attribute_name: job
    help: The name of the Cloud Run job.

instance:
  name: instance
  collection: run.projects.locations.instances
  attributes:
  - *project
  - *region
  - &instance
    parameter_name: instancesId
    attribute_name: instance
    help: The name of the Cloud Run instance.

workerpool:
  name: workerpool
  collection: run.projects.locations.workerpools
  attributes:
  - *project
  - *region
  - &workerpool
    parameter_name: workerpoolsId
    attribute_name: workerpool
    help: The name of the Cloud Run worker pool.
